package com.ym.admodule.config

import com.bytedance.sdk.openadsdk.TTAdConstant

object ZXADConfig {
    var IS_DEUG = true

    //广点通 appId
    var GDT_AD_APP_ID = ""

    //穿山甲 appId
    var TT_AD_APP_ID = ""

    //SIGNMOB  appId
    var SIGNMOB_APP_ID = ""
    var SIGNMOB_APP_KEY = ""

    //baidu appId
    var BAIDU_APP_ID = ""

    //优量包 appId
    var YLB_APP_ID = ""

    //快手 appId
    var KS_APP_ID = ""

    //汇量
    var HL_APP_ID = ""
    var HL_APP_KEY = ""

    //瑞狮 appId
    var RS_APP_ID = ""

    //是否使用 TextureView
    var useTextureView = false

    //titlebar
    var titleBarTheme = TTAdConstant.TITLE_BAR_THEME_DARK

    //允许通知
    var allowShowNotify = true


    //允许锁屏状态下显示落地页
    var allowShowPageWhenScreenLock = true


    //是否支持多进程
    var supportMultiProcess = false//默认false

    //应用名字
    var appName = "test"//默认false


    var zxadConfig: ZXADConfig = ZXADConfig
    fun getInstances(): ZXADConfig {

        if(zxadConfig ==null){
            zxadConfig = ZXADConfig
        }

        return zxadConfig

    }

    fun Build(): ZXADConfig {
        return getInstances()
    }


    fun isDebug(s: Boolean): ZXADConfig {
        IS_DEUG = s
        return zxadConfig
    }

    fun gdtId(gdtId: String): ZXADConfig {
        GDT_AD_APP_ID = gdtId
        return zxadConfig
    }

    fun csjId(csjId: String): ZXADConfig {
        TT_AD_APP_ID = csjId
        return zxadConfig
    }

    fun bdId(bdId: String): ZXADConfig {
        BAIDU_APP_ID = bdId
        return zxadConfig
    }
    fun signMob(appid:String,appkey :String): ZXADConfig {
        SIGNMOB_APP_ID = appid
        SIGNMOB_APP_KEY = appkey
        return zxadConfig

    }
    fun ylbId(appid:String): ZXADConfig {
        YLB_APP_ID = appid
        return zxadConfig
    }
    fun ksId(appid:String): ZXADConfig {
        KS_APP_ID = appid
        return zxadConfig
    }
    fun huiLiang(appid:String,appkey :String):ZXADConfig {
        HL_APP_ID = appid
        HL_APP_KEY = appkey
        return zxadConfig
    }
    fun rsId(appid:String): ZXADConfig {
        RS_APP_ID = appid
        return zxadConfig
    }
    fun useTextureView(useTextureView: Boolean): ZXADConfig {
        ZXADConfig.useTextureView = useTextureView
        return zxadConfig
    }
    fun titleBarTheme(titleBarTheme: Int): ZXADConfig {
        ZXADConfig.titleBarTheme = titleBarTheme
        return zxadConfig
    }
    fun allowShowNotify(allowShowNotify: Boolean): ZXADConfig {
        ZXADConfig.allowShowNotify = allowShowNotify
        return zxadConfig
    }
    fun allowShowPageWhenScreenLock(allowShowPageWhenScreenLock: Boolean): ZXADConfig {
        ZXADConfig.allowShowPageWhenScreenLock = allowShowPageWhenScreenLock
        return zxadConfig
    }
    fun supportMultiProcess(supportMultiProcess: Boolean): ZXADConfig {
        ZXADConfig.supportMultiProcess = supportMultiProcess
        return zxadConfig
    }
    fun appName(appName: String): ZXADConfig {
        ZXADConfig.appName = appName
        return zxadConfig
    }



}